> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Text Verifier API

> La API de Text Verifier permite a los usuarios comparar dos textos para determinar su similitud, facilitando la identificación de diferencias y semejanzas entre el contenido proporcionado. Al utilizar esta sección de la API, los usuarios pueden agilizar su proceso de verificación y asegurar la precisión de sus comparaciones de texto.

<Tip>
  Para ejemplos detallados de respuesta para cada tipo de documento, consulte la sección **Textify Templates**.
</Tip>


## OpenAPI

````yaml POST /match/text
openapi: 3.1.0
info:
  title: Text Verifier API
  description: API for comparing two text strings and determining their similarity
  version: 1.0.0
servers:
  - url: https://rest-api.argosidentity.com/v3/modules
    description: Production server
security:
  - apiKeyAuth: []
paths:
  /match/text:
    post:
      tags:
        - Text Verifier
      summary: Compare two text strings
      description: >-
        Compare two text strings to determine their similarity and provide
        detailed analysis results
      operationId: compareTexts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - textSet
              properties:
                textSet:
                  type: object
                  required:
                    - originalText
                    - matchingText
                  properties:
                    originalText:
                      type: string
                      description: The original text to be compared with the targetText.
                      example: argos
                    matchingText:
                      type: string
                      description: The text to be compared with the originText.
                      example: Arg0s
                callbackUrl:
                  type: string
                  description: >-
                    The URL where the text comparison results will be sent upon
                    completion. If a callbackUrl is provided, the process works
                    asynchronously. If no callbackUrl is provided, the process
                    operates synchronously.
                  format: uri
                  example: https://your-domain.com/callback
      responses:
        '200':
          description: Successful text comparison
          content:
            application/json:
              schema:
                type: object
                properties:
                  similarity:
                    type: number
                    description: Similarity percentage between the two texts
                    example: 70
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Invalid request parameters
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````